Subject: [xml2rfc] DOI literature reference extraction proof of concept

From: Carsten Bormann <[email-masked]>
Date: Tue, 09 Aug 2016 17:43:18 +0200

kramdown-rfc2629 version 1.0.32 contains an experimental new tool
"doilit" for extracting literature entries from DOIs.

Call doilit with one or more DOIs to obtain kramdown-rfc formatted
reference entries (indented just right for dropping them into the
references YAML):

doilit 10.6028/NIST.SP.800-183 10.1016/j.adhoc.2015.04.007
10.1109/MIC.2012.29 10.1145/2507924.2507954
    ---
    seriesinfo:
      National Institute of Standards and Technology (NIST): report
      DOI: 10.6028/nist.sp.800-183
    title: Networks of 'things'
    author:
    - name: Jeffrey M Voas
      ins: J. Voas
    date: '2016'
    ---
    seriesinfo:
      Ad Hoc Networks: Vol. 33, pp. 126-139
      DOI: 10.1016/j.adhoc.2015.04.007
    title: 'CoCoA+: An advanced congestion control mechanism for CoAP'
    author:
    - name: August Betzler
      ins: A. Betzler
    - name: Carles Gomez
      ins: C. Gomez
    - name: Ilker Demirkol
      ins: I. Demirkol
    - name: Josep Paradells
      ins: J. Paradells
    date: 2015-10
    ---
    seriesinfo:
      IEEE Internet Computing: Vol. 16, pp. 62-67
      DOI: 10.1109/mic.2012.29
    title: 'CoAP: An Application Protocol for Billions of Tiny Internet
Nodes'
    author:
    - name: Carsten Bormann
      ins: C. Bormann
    - name: Angelo P. Castellani
      ins: A. Castellani
    - name: Zach Shelby
      ins: Z. Shelby
    date: 2012-03
    ---
    seriesinfo:
      ? Proceedings of the 16th ACM international conference on
Modeling, analysis & simulation
        of wireless and mobile systems - MSWiM '13
      : ''
      DOI: 10.1145/2507924.2507954
    title: Congestion control in reliable CoAP communication
    author:
    - name: August Betzler
      ins: A. Betzler
    - name: Carles Gomez
      ins: C. Gomez
    - name: Ilker Demirkol
      ins: I. Demirkol
    - name: Josep Paradells
      ins: J. Paradells
    date: '2013'

Add -v to see the original JSON (readably presented as YAML as well).

I believe this POC demonstrates that automatic extraction from the DOI
database does not work.  E.g., see the last example: The page numbers
aren't in the DOI database, so they have to be added manually.
In general, after extraction you want a manual pass to fix or add
information.  So I don't think that is something that xml2rfc should do
as an automatic processing step.

Feedback welcome (particularly with DOIs of your choice and comments on
how doilit messes up the reference).

Grüße, Carsten

PS.: Get the experimental tool using

gem update

or, if you haven't installed kramdown-rfc yet,

gem install kramdown-rfc2629